Bug 814995 - [abrt] firefox-11.0-1.fc16: Process /usr/lib64/firefox/firefox was killed by signal 11 (SIGSEGV)
[abrt] firefox-11.0-1.fc16: Process /usr/lib64/firefox/firefox was killed by ...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:a4a19c39ef4fee23691f73a44cd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 20:13 EDT by Mr. Meval
Modified: 2012-05-03 05:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 05:49:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (4.14 KB, text/plain)
2012-04-21 20:13 EDT, Mr. Meval
no flags Details
File: build_ids (4.56 KB, text/plain)
2012-04-21 20:13 EDT, Mr. Meval
no flags Details
File: dso_list (10.29 KB, text/plain)
2012-04-21 20:13 EDT, Mr. Meval
no flags Details
File: maps (49.97 KB, text/plain)
2012-04-21 20:14 EDT, Mr. Meval
no flags Details
File: backtrace (105.58 KB, text/plain)
2012-04-21 20:14 EDT, Mr. Meval
no flags Details
File: backtrace (91.56 KB, text/plain)
2012-04-23 01:07 EDT, Mr. Meval
no flags Details
File: backtrace (89.69 KB, text/plain)
2012-04-23 19:02 EDT, Mr. Meval
no flags Details

  None (edit)
Description Mr. Meval 2012-04-21 20:13:50 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
kernel:         3.3.1-5.fc16.x86_64
pid:            10558
pwd:            /home/jcaldwel
reason:         Process /usr/lib64/firefox/firefox was killed by signal 11 (SIGSEGV)
time:           Sat 21 Apr 2012 08:08:15 PM EDT
uid:            500
xsession_errors: 

backtrace:      Text file, 108119 bytes
build_ids:      Text file, 4674 bytes
dso_list:       Text file, 10533 bytes
environ:        Text file, 4241 bytes
maps:           Text file, 51169 bytes

comment:
:Firefox crashes when selinux bool allow_execstack is disallowed. I've traced this to some act by LLVM and the JIT. When I ran firefox from terminal it gave me an error referring to LLVM and JIT but I did not copy it.
:
:I've finally gotten a GDB trace I think. 

event_log:
:2012-04-21-20:10:10> Analyzing coredump 'coredump'
:2012-04-21-20:10:10  Coredump references 114 debuginfo files, 4 of them are not installed
:2012-04-21-20:10:10  Setting up yum repositories
:2012-04-21-20:10:18  Looking for needed packages in repositories
:2012-04-21-20:10:18  Packages to download: 2
:2012-04-21-20:10:20  Downloading 6.10Mb, installed size: 31.91Mb. Continue? YES
:2012-04-21-20:10:26  Downloading (1 of 2) nss-debuginfo-3.13.4-2.fc16.x86_64.rpm:  54
:2012-04-21-20:10:30  Downloading (1 of 2) nss-debuginfo-3.13.4-2.fc16.x86_64.rpm: 100
:2012-04-21-20:10:30  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-04-21-20:10:10.10609/nss-debuginfo-3.13.4-2.fc16.x86_64.rpm
:2012-04-21-20:10:31  Caching files from unpacked.cpio made from nss-debuginfo-3.13.4-2.fc16.x86_64.rpm
:2012-04-21-20:10:32  Downloading (2 of 2) nss-util-debuginfo-3.13.4-2.fc16.x86_64.rpm: 100
:2012-04-21-20:10:32  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-04-21-20:10:10.10609/nss-util-debuginfo-3.13.4-2.fc16.x86_64.rpm
:2012-04-21-20:10:32  Caching files from unpacked.cpio made from nss-util-debuginfo-3.13.4-2.fc16.x86_64.rpm
:2012-04-21-20:10:32  Removing /tmp/abrt-tmp-debuginfo-2012-04-21-20:10:10.10609
:2012-04-21-20:10:32  All 114 debuginfo files are available
:2012-04-21-20:10:32  Generating backtrace
:2012-04-21-20:10:44  Backtrace is generated and saved, 108119 bytes
:2012-04-21-20:11:00> Element 'xsession_errors' saved
:2012-04-21-20:11:00> GConf directory /apps/firefox does not exist
:2012-04-21-20:11:00* (exited with 1)
:2012-04-21-20:11:01> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: ccb9c23a-29d9-4e03-9b47-6d176c108212
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6829.90
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X4 965 Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 4
:Number of CPUs: 4
:CPU Speed: 3400
:System Memory: 7986
:System Swap: 10047
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.1-5.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17296:4163:33859) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
:(4130:38409:4163:33854) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:43568:4098:43568) pci, snd_hda_intel, MULTIMEDIA, HD48x0 audio
:(4130:38401:4163:33854) pci, None, HOST/PCI, M5A88-V EVO
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:38403:4163:33854) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:4163:33859) pci, ehci_hcd, USB, M5A88-V EVO
:(4098:17303:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17313:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 1)
:(4098:17308:4163:33859) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4163:33859) pci, None, PCI/ISA, M5A88-V EVO
:(4098:17283:4163:33819) pci, snd_hda_intel, MULTIMEDIA, M5A88-V EVO
:(4098:17305:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4163:33859) pci, ehci_hcd, USB, M5A88-V EVO
:(4098:37952:4098:1282) pci, radeon, VIDEO, RV770 [Radeon HD 4870]
:(4098:17303:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4098:17302:4163:33859) pci, ehci_hcd, USB, M5A88-V EVO
:(4098:17303:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4147:404:4163:33811) pci, xhci_hcd, USB, P8P67 Deluxe Motherboard
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_tower-lv_root / ext4 4096 4096 13092922 6450305 6319277 3276800 2697004 2697004
:/dev/sdd1 WITHHELD ext4 4096 4096 130933269 14672556 8118956 32768000 32766424 32766424
:/dev/sdd4 WITHHELD ext4 4096 4096 95057392 77084824 72326705 23797760 22868827 22868827
:/dev/sdd2 WITHHELD ext4 4096 4096 130933269 117328487 110774887 32768000 32642604 32642604
:/dev/sdd3 WITHHELD ext4 4096 4096 130933269 65981388 59427788 32768000 32741704 32741704
:/dev/sdb2 /boot ext4 1024 1024 508745 410070 384470 128016 127779 127779
:/dev/mapper/vg_tower-lv_home /home ext4 4096 4096 179352408 144688702 135711909 44883968 44737223 44737223
:/dev/sr0 WITHHELD udf 2048 2048 2027545 0 0 17 0 0
:

var_log_messages:
:Apr 21 17:18:10 tower abrt[28229]: Saved core dump of pid 28207 (/usr/lib64/firefox/firefox) to /var/spool/abrt/ccpp-2012-04-21-17:18:09-28207 (79773696 bytes)
:Apr 21 17:41:54 tower yum[28905]: Installed: firefox-debuginfo-11.0-1.fc16.x86_64
:Apr 21 20:08:16 tower abrt[10567]: Saved core dump of pid 10558 (/usr/lib64/firefox/firefox) to /var/spool/abrt/ccpp-2012-04-21-20:08:15-10558 (79785984 bytes)
Comment 1 Mr. Meval 2012-04-21 20:13:54 EDT
Created attachment 579236 [details]
File: environ
Comment 2 Mr. Meval 2012-04-21 20:13:56 EDT
Created attachment 579237 [details]
File: build_ids
Comment 3 Mr. Meval 2012-04-21 20:13:58 EDT
Created attachment 579238 [details]
File: dso_list
Comment 4 Mr. Meval 2012-04-21 20:14:00 EDT
Created attachment 579239 [details]
File: maps
Comment 5 Mr. Meval 2012-04-21 20:14:02 EDT
Created attachment 579240 [details]
File: backtrace
Comment 6 Mr. Meval 2012-04-21 20:25:22 EDT
Firefox 11
Fedora Core 16
Comment 7 Mr. Meval 2012-04-23 01:07:05 EDT
closed firefox

backtrace_rating: 4
Package: firefox-11.0-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 8 Mr. Meval 2012-04-23 01:07:09 EDT
Created attachment 579410 [details]
File: backtrace
Comment 9 Mr. Meval 2012-04-23 19:02:22 EDT
Splattering FB across tabs, running Better Facebook, most likely some whackjobs plugin.

backtrace_rating: 4
Package: firefox-11.0-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 10 Mr. Meval 2012-04-23 19:02:26 EDT
Created attachment 579713 [details]
File: backtrace
Comment 11 Martin Stransky 2012-05-03 05:49:21 EDT
This is a mass close for automated bug reports. If you still see the problem and/or can reproduce it, please reopen the bug and assign it directly to me.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.